textInput {shiny} | R Documentation

## Create a text input control

### Description

Create an input control for entry of unstructured text values

### Usage

    textInput(inputId, label, value = "", width = NULL, placeholder = NULL)

### Arguments

`inputId` | The `input` slot that will be used to access the value.
`label` | Display label for the control, or `NULL` for no label.
`value` | Initial value.
`width` | The width of the input, e.g. `'400px'`, or `'100%'`; see `validateCssUnit`.
`placeholder` | A character string giving the user a hint as to what can be entered into the control. Internet Explorer 8 and 9 do not support this option.

### Value

A text input control that can be added to a UI definition.

### See Also

`updateTextInput`

Other input.elements: `actionButton`, `checkboxGroupInput`, `checkboxInput`, `dateInput`, `dateRangeInput`, `fileInput`, `numericInput`, `passwordInput`, `radioButtons`, `selectInput`, `sliderInput`, `submitButton`

### Examples

    textInput("caption", "Caption:", "Data Summary")

[Package shiny version 0.13.2 Index]